Tryton - Issues

 

Issue2303

Title Fix Mac Menubar and crash with exit from Dock Icon
Priority bug Status resolved
Superseder Nosy List ced, jcm, pheller, roba, roundup-bot
Type behavior Components tryton
Assigned To ced Keywords Mac OS X, review
Reviews 9711002
View: 9711002

Created on 2011-11-24.19:29:55 by pheller, last changed by roundup-bot.

Messages
msg18064 (view) Author: [hidden] (roundup-bot) Date: 2014-09-13.12:14:39
New changeset 31d152019438 by C?dric Krier in branch 'default':
Fix favorite menu on OSX
http://hg.tryton.org/tryton/rev/31d152019438
msg17964 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2014-09-08.13:21:57
Here is a review9711002 that fixes the favorite menu.
Others issues are already fixed by issue3961.
msg14387 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2013-10-21.23:12:32
Calling menu_sync doesn't solve the problem.
msg14371 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2013-10-20.12:39:24
As stated in msg14353, it will be good to test calling gtk_mac_menu_sync
msg9518 (view) Author: [hidden] (jcm) Date: 2011-12-12.12:32:51
I sometimes (after I've chosen COnnect or Disconnect in menu) see a second Apple
appear on the left. (compiled and used on 10.6)
I also have some unresponsive buttons : I need to click a second time to have
the button hilighted and the action done.
Don't know if this is worth to help...
msg9394 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2011-12-01.01:01:55
I'm wondering if it is not also linked to issue2093
It could be linked to the shortcut menu generation.
Perhaps a simple test by removing shortcut entry will confirm it?
msg9340 (view) Author: [hidden] (pheller) Date: 2011-11-24.19:29:55
Operation of gtk_osxapplication in conjunction with client changes over the past 
few versions seem to have caused an issue where the Mac menu bar is not fully 
synchronized with the GTK menubar.

Also, the client seems to crash when right clicking the dock icon and clicking 
exit.
History
Date User Action Args
2014-09-13 12:14:40roundup-botsetstatus: testing -> resolved
nosy: + roundup-bot
messages: + msg18064
2014-09-08 13:22:13cedsetcomponent: + tryton
2014-09-08 13:22:07cedsetreviews: 9711002
keyword: + review
2014-09-08 13:21:58cedsetstatus: chatting -> testing
assignedto: ced
messages: + msg17964
2013-10-21 23:12:33cedsetmessages: + msg14387
2013-10-21 10:22:52robasetnosy: + roba
2013-10-20 12:39:24cedsetstatus: in-progress -> chatting
messages: + msg14371
2013-10-20 12:38:43cedlinkissue3429 superseder
2012-06-07 03:22:41phellersetassignedto: pheller -> (no value)
2011-12-12 12:32:52jcmsetnosy: + jcm
messages: + msg9518

Showing 10 items. Show all history (warning: this could be VERY long)